Issue 101017

Summary: Unusable font color / colour picker in Impress and Calc
Product: Impress Reporter: nohwayjose <noh.way.jose>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, rainerbielefeld_ooo_qa
Version: OOO300m9Keywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: Linux, all   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description nohwayjose 2009-04-10 18:37:25 UTC
The font colour/color picker dropdown in Impress and Calc is a) defective and b)
inconsistent with the same control in Writer (where the behaviour is as one
would expect) - this is compounded by the lack of indication of the current
colour choice in the dropdown grid.

The behaviour should be as implemented in Writer, or better and the current
colour should be clearly highlighted in the dropdown 

(I put these in the same bug report as I class the bug as a deficiency in the
usability i.e. one problem, rather than two functional deficiencies)
Comment 1 Rainer Bielefeld 2009-04-11 09:30:25 UTC
I checked with "Ooo  3.1.0 RC1 multilingual version German UI WIN XP: [OOO310m9
(Build 9396)]" and can NOT confirm unusability. I do not remember any problems
with 3.0.1.

@nohwayjose:
May eb you can find out your Platform and OS ?
Before you file further issues or post again here, please read our guidelines on
<http://qa.openoffice.org/issue_handling/pre_submission.html> and  
<http://www.openoffice.org/bugs/bug_writing_guidelines.html>, then
contribute a clear step by step instruction containing all observations (error
messages ...), _every_key_press_and_every_mouse_click_ how to reproduce the
problem, and explain why you believe that your results are unexpected.
That means (for example): 
 do not write something like „I am not able to ...“, but
 „6. left mouse click on …
     expected: …, colour of … changes, … 
     actual: no …., colour remains white, no …
Comment 2 nohwayjose 2009-04-11 20:56:50 UTC
To recreate usable example behaviour. This works as described in Writer,
anywhere on a page and in Calc, where the two words are contained in a single cell
1/ Open Writer/Calc and write two words, separated by a space on the Writer page
or in a single Calc cell
2/ double click on the first word to select it
3/ press the drop down button for the toolbar colour picker tool and select a
colour from the dropdown. This should change the selected text's colour to the
colour selected. NB the currently selected colour is not marked or highlighted
in any way in the dropdown grid
4/ double click on the second word to select it
4b/ the colour picker tool should still display the colour specified in step 3
despite the selection of different coloured text
5/ press the left half of the colour picker tool to apply the originally
specified colour to the newly selected second word too.

To recreate the unusable example behaviour. This works as described in Impress,
even within the same text area and in Calc, where the two words are in different
cells
1/ Open Impress/Calc and write two words, separated by a space in an Impress
text area or in two cells in Calc
2/ double click on the first word to select it
3/ press the drop down button for the toolbar colour picker tool and select a
colour from the dropdown. This should change the selected text's colour to the
colour selected. NB the currently selected colour is not marked or highlighted
in any way in the dropdown grid
4/ double click on the second word to select it
4b/ the colour picker tool will now change colour to match the colour of the
selected text - this is the problem, in conjunction with the lack of
highlighting of the current colour, that renders the Impress picker unusable.
5/ There is no way to re-apply a single colour to many text selections, without
memorising which colour in the grid is to be used.

I have found the same behaviour to be the case on my work laptop (K)ubuntu
-Intrepid Ibex, with OO 2.4. and my home and work desktops, running SuSE 10.3 &
11.1, both with OO 300m15 (as far as I recall - I'm away from work at the moment)

I would like to see at least the following three use cases supported consistently

Use Case 1
Actor: User of all OO component applications
Goal:Set a text colour and apply it repeatedly to selected text
Notes: Implementation behaviour should be the same in all OO applications

Use Case 2
Actor: User of all OO component applications
Goal:Select some text (that has a single colour applied) and use it as a model
to apply it to other text
Notes: Implementation behaviour should be the same in all OO applications

Use Case 3
Actor: User of all OO component applications
Goal:Select some text (that has a single colour applied) and copy the colour
specification for use elsewhere. Not the colour itself but a composite RGB or
CMYK value (+alpha channel, if required)
Notes: Implementation behaviour should be the same in all OO applications.

General feature note: It would be great to allow different colour models to be
used. Like in Inkscape - Indexed Palettes, RGB sliders, HSL sliders, CMYK
sliders, Wheel. All of them allow the RGBA value to be copied and/or pasted

ps. Thanks for your response about more info in the post but originally, I was
getting the report into the system, between meetings and was unable to be very
descriptive. I hope that's remedied now.

Cheers,

Greg
Comment 3 wolframgarten 2009-04-14 10:39:20 UTC
I can understand your point that the Font Color DropDown Menu is not working in
the way you expect it. But as long as it does not work in another way as
described this is an enhancement. 
Reassigned.
Comment 4 nohwayjose 2009-04-14 16:30:50 UTC
I disagree with your analysis (so far as I understand it). The inability to
perform a task should be classified as a defect. It is impossible to perform the
task mentioned in Use Case 1, which by the standard of the correct
implementation in Writer, is what the intent of this control was. The other use
cases I listed are, I accept, enhancements. If you wish, I will copy those
across but I think the original defect stands.

I am a usability consultant and I have this chat with developers about why
usability fixes are defects, rather than enhancements quite frequently ;o)

Cheers,

Greg
Comment 5 Rainer Bielefeld 2009-04-14 17:27:23 UTC
I believe we should close this issue and also disastrous Issue 10864, what more
or less describes problem "Case 1" as a WIN ME (!!) problem. If there isn't
already an issue for it, we need a new one simply claiming consistent behavior.

I agree the best solution seems to be the WRITER behaviour: if you have to
modify background or font color or something similar often in the same way, a
"memory" would be fine for all icons with additional picker. 

It's not user friendly to have different behavior of icons for the same function
in the different OOo modules. I see such inconsistences as a DEFECT.

I searched IZ for an UI/UI Issue "grant consistent behaviour of icons in all
modules" (or similar), but without success. Anybody more smart here? ;-) 
Comment 6 dswade 2009-09-13 04:09:10 UTC
Replicated on
Windows XP Professional (5.1, Build 2600)
Ooo dev 3.2.0 DEV300m56 (build:9419)

I agree with 'nohwayjose' and 'rainerbielefeld': this is behavior inconsistent
with what a user expects, inconsistent with comparable products (Microsoft
PowerPoint), and inconsistent with other parts of OpenOffice (Writer).  This
should be classified as a defect.  Looking at the comments of linked Issue
10864, 'another_sam' commented that this issue has had 12 duplicates of this
issue reported spanning 6 years.  I believe this means that this issue should be
addressed.
Comment 7 nohwayjose 2010-02-09 23:46:03 UTC
This issue is readily confirmable (see recipe in my post of Sat Apr 11 19:56:50
+0000 2009). Please change status and then fix?!
Comment 8 nohwayjose 2010-02-10 07:46:31 UTC
I didn't change this to RESOLVED. I wanted it to be changed from UNCONFIRMED to
NEW, STARTED or REOPENED!
Comment 9 clippka 2010-02-10 09:06:00 UTC
I can reproduce this issue. In Impress just pressing the font color button
without using the drop down simply does nothing, so this is a bug.
Comment 10 Marcus 2017-05-20 11:11:17 UTC
Reset assigne to the default "issues@openoffice.apache.org".